Next: ARC Syntax, Up: ARC-Dependent

#### 9.2.1 Options

`-marc[5|6|7|8]`
  This option selects the core processor variant. Using `-marc` is the same as `-marc6`, which is also the default.
  `arc5`
    Base instruction set.

  `arc6`
    Jump-and-link (jl) instruction. No requirement of an instruction between setting flags and conditional jump. For example:

                         mov.f r0,r1
                         beq   foo

  `arc7`
    Break (brk) and sleep (sleep) instructions.

  `arc8`
    Software interrupt (swi) instruction.

  Note: the `.option` directive can to be used to select a core variant from within assembly code.

`-EB`
  This option specifies that the output generated by the assembler should be marked as being encoded for a big-endian processor.

`-EL`
  This option specifies that the output generated by the assembler should be marked as being encoded for a little-endian processor - this is the default.